> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleシステムを作成

> 新しいShuttleシステムを作成します。公開APIを使用して作成できるのはWindowsエージェントシステムのみです。それ以外のシステムタイプは、Shuttleアプリケーションを使用して構成する必要があります。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json POST /shuttle_systems
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_systems:
    post:
      tags:
        - Shuttle
      summary: Shuttleシステムを作成
      description: >-
        新しいShuttleシステムを作成します。公開APIを使用して作成できるのはWindowsエージェントシステムのみです。それ以外のシステムタイプは、Shuttleアプリケーションを使用して構成する必要があります。
      operationId: post_shuttle_systems_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShuttleSystemCreateRequest'
            examples:
              windows:
                summary: Create a Windows agent system
                value:
                  name: NYC File Server
                  system_type: windows
      responses:
        '201':
          description: 新しく作成されたShuttleシステムを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleSystem'
        '400':
          description: リクエスト本文の形式が正しくない場合または必須フィールドが入力されていない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleSystemCreateRequest:
      description: >-
        Shuttleシステムを作成するためのリクエスト本文。公開APIを使用して作成できるのはWindowsエージェントシステムのみであるため、`system_type`は`windows`でなければなりません。
      type: object
      properties:
        name:
          description: 新しいShuttleシステムの表示名。
          type: string
          example: NYC File Server
          minLength: 1
        system_type:
          description: 新しいShuttleシステムの公開システムタイプ識別子。現在、公開APIでは`windows`のみがサポートされています。
          type: string
          example: windows
          enum:
            - windows
      required:
        - name
        - system_type
      title: Shuttleシステム作成リクエスト
      x-box-resource-id: shuttle_system_create_request_v2026.0
      x-box-tag: shuttle
    ShuttleSystem:
      description: >-
        ShuttleシステムのStandard版の表示。Shuttleシステムは、Shuttleがコンテンツを移行する際の移行元または移行先と、その現在の接続状態を表します。
      type: object
      properties:
        id:
          description: Shuttleシステムの一意の識別子。
          type: string
          example: 6a315c0754833bfc5df067bf
        type:
          description: 値は常に`shuttle_system`になります。
          type: string
          example: shuttle_system
          enum:
            - shuttle_system
        name:
          description: Shuttleシステムの表示名。
          type: string
          example: BoxProd
        system_type:
          description: >-
            このシステムが表す移行元または移行先の種類を識別します。たとえば、`box`、`windows`、`sharepoint`、`amazon_s3`などです。随時新しいシステムタイプが追加されるため、クライアントはこれを固定された値の集合として扱わず、認識できない値も許容する必要があります。
          type: string
          example: box
        label:
          description: サーバーによって算出される、システムの表示ラベル。
          type: string
          example: Box (Production)
        state:
          description: Shuttleシステムの現在の接続状態。
          type: string
          example: connected
          enum:
            - connected
            - disconnected
            - unknown
      required:
        - id
        - type
        - name
        - system_type
        - state
      title: Shuttleシステム
      x-box-resource-id: shuttle_system_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````